declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, {
    changeValue(event: MouseEvent): void;
}, unknown, {
    mark: number[] | import("./type").SliderMarks;
    point: number;
}>;
export default _default;
